## bnd 5.0.1

=== debian/changelog ===
bnd (5.0.1-5) unstable; urgency=medium

  * Team upload
  * d/bootstrap.xml, d/rules: use minimum supported Java release level
    (Closes: #1057492).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 05 Jan 2024 22:16:13 +1300

bnd (5.0.1-4) unstable; urgency=medium

  * Team upload

  [ Emmanuel Bourg ]
  * Updated the watch file

  [ 殷啟聰 | Kai-Chung Yan ]
  * Remove myself from Uploaders

  [ tony mancill ]
  * Reproducible build timestamp (Closes: #1035405)
    Thank you to Vagrant Cascadian for the patch.
  * Bump Standards-Version to 4.6.2
  * Add missing Apache NOTICE file
  * Set Rules-Requires-Root: no in debian/control

 -- tony mancill <tmancill@debian.org>  Mon, 12 Jun 2023 20:26:25 -0700

bnd (5.0.1-3) unstable; urgency=medium

  * Backported the fix for the ConcurrentModificationException occurring
    with Java 15 and later
  * Tightened the dependency on libosgi-core-java (>= 7.0.0)
  * Standards-Version updated to 4.5.1

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 21 Jan 2021 14:58:24 +0100

bnd (5.0.1-2) unstable; urgency=medium

  * Fixed the Gradle plugin

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 Aug 2020 23:07:50 +0200

bnd (5.0.1-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches (Closes: #965201)
    - Fixed the compatibility with the version of Gradle in Debian
    - Depend on libfelix-resolver-java (>= 1.16)
    - Depend on libosgi-compendium-java (>= 7)
    - New dependency on libjline2-java and libeclipse-jdt-annotation-java
    - No longer build the repoindex api and lib modules (removed)
    - No longer build the biz.aQute.tester module
    - Disabled the new bnd.reporter module due to missing dependencies
  * Exclude the release docs and the  war files from the upstream tarball
  * Preserve the compatibility with Java 8
  * Standards-Version updated to 4.5.0
  * Switch to debhelper level 12

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 Aug 2020 19:28:00 +0200

bnd (3.5.0-4) unstable; urgency=medium

  * Fixed the build failure with Java 11 (Closes: #912231)
  * Fixed the build failure caused by gradle-debian-helper 2.0.1
  * Ignore the dependency on xml-apis
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 19 Dec 2018 22:48:21 +0100

bnd (3.5.0-3) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Gradle 4.4
  * Standards-Version updated to 4.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 17 Sep 2018 21:52:41 +0200

bnd (3.5.0-2) unstable; urgency=medium

  * Install the Gradle plugin
  * Standards-Version updated to 4.1.5

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 30 Jul 2018 14:10:27 +0200
