=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
PACKAGE              := bnd
export JAVA_HOME = /usr/lib/jvm/default-java
export HOME = $(CURDIR)/debian
export VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=gradle --with maven-repo-helper --no-parallel

override_dh_auto_build:
	$(RM) cnf/ext/central.mvn # It forces Gradle to fetch artifacts from remote.

	ant -f debian/bootstrap.xml -Djavac.release=8
	mkdir -p \
		cnf/repo/biz.aQute.bnd/ \
		cnf/cache/$(VERSION)/bnd-cache/ant \
		cnf/cache/$(VERSION)/bnd-cache/jline \
		cnf/cache/$(VERSION)/bnd-cache/org.apache.felix.framework \
		cnf/cache/$(VERSION)/bnd-cache/org.apache.felix.gogo.runtime \
		cnf/cache/$(VERSION)/bnd-cache/org.apache.felix.resolver \
		cnf/cache/$(VERSION)/bnd-cache/org.apache.servicemix.bundles.junit \
		cnf/cache/$(VERSION)/bnd-cache/org.eclipse.jdt.annotation \
		cnf/cache/$(VERSION)/bnd-cache/org.osgi.namespace.contract \
		cnf/cache/$(VERSION)/bnd-cache/org.osgi.namespace.extender \
		cnf/cache/$(VERSION)/bnd-cache/org.osgi.namespace.implementation \
		cnf/cache/$(VERSION)/bnd-cache/org.osgi.namespace.service \
		cnf/cache/$(VERSION)/bnd-cache/org.osgi.resource \
		cnf/cache/$(VERSION)/bnd-cache/org.osgi.service.component \
		cnf/cache/$(VERSION)/bnd-cache/org.osgi.service.component.annotations \
		cnf/cache/$(VERSION)/bnd-cache/org.osgi.service.configurator \
		cnf/cache/$(VERSION)/bnd-cache/org.osgi.service.coordinator \
		cnf/cache/$(VERSION)/bnd-cache/org.osgi.service.log \
		cnf/cache/$(VERSION)/bnd-cache/org.osgi.service.repository \
		cnf/cache/$(VERSION)/bnd-cache/org.osgi.service.resolver \
		cnf/cache/$(VERSION)/bnd-cache/org.osgi.service.serviceloader \
		cnf/cache/$(VERSION)/bnd-cache/org.osgi.service.subsystem \
		cnf/cache/$(VERSION)/bnd-cache/org.osgi.util.function \
		cnf/cache/$(VERSION)/bnd-cache/org.osgi.util.promise \
		cnf/cache/$(VERSION)/bnd-cache/org.tukaani.xz \
		cnf/cache/$(VERSION)/bnd-cache/org.yaml.snakeyaml \
		cnf/cache/$(VERSION)/bnd-cache/osgi.annotation \
		cnf/cache/$(VERSION)/bnd-cache/osgi.cmpn \
		cnf/cache/$(VERSION)/bnd-cache/osgi.core \
		cnf/cache/$(VERSION)/bnd-cache/slf4j.api \
		cnf/cache/$(VERSION)/bnd-cache/slf4j.simple \
		cnf/gradle/dependencies \
		cnf/plugins/biz.aQute.bnd
	ln -s -r bootstrap/bnd.jar cnf/cache/biz.aQute.bnd.gradle.jar
	ln -s -r bootstrap/bnd.jar cnf/gradle/dependencies/biz.aQute.repository.jar
	ln -s -r bootstrap/bnd.jar cnf/plugins/biz.aQute.repository.jar

	ln -s /usr/share/java/ant.jar                           cnf/cache/$(VERSION)/bnd-cache/ant/ant-latest.jar
	ln -s /usr/share/java/jline2.jar                        cnf/cache/$(VERSION)/bnd-cache/jline/jline-latest.jar
	ln -s /usr/share/java/junit4.jar                        cnf/cache/$(VERSION)/bnd-cache/org.apache.servicemix.bundles.junit/org.apache.servicemix.bundles.junit-latest.jar
	ln -s /usr/share/java/eclipse-jdt-annotation.jar        cnf/cache/$(VERSION)/bnd-cache/org.eclipse.jdt.annotation/org.eclipse.jdt.annotation-latest.jar
	ln -s /usr/share/java/org.apache.felix.framework.jar    cnf/cache/$(VERSION)/bnd-cache/org.apache.felix.framework/org.apache.felix.framework-latest.jar
	ln -s /usr/share/java/org.apache.felix.gogo.runtime.jar cnf/cache/$(VERSION)/bnd-cache/org.apache.felix.gogo.runtime/org.apache.felix.gogo.runtime-latest.jar
	ln -s /usr/share/java/felix-resolver.jar                cnf/cache/$(VERSION)/bnd-cache/org.apache.felix.resolver/org.apache.felix.resolver-latest.jar
	ln -s /usr/share/java/osgi.annotation.jar               cnf/cache/$(VERSION)/bnd-cache/osgi.annotation/osgi.annotation-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar                     cnf/cache/$(VERSION)/bnd-cache/org.osgi.namespace.contract/org.osgi.namespace.contract-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar                     cnf/cache/$(VERSION)/bnd-cache/org.osgi.namespace.extender/org.osgi.namespace.extender-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar                     cnf/cache/$(VERSION)/bnd-cache/org.osgi.namespace.implementation/org.osgi.namespace.implementation-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar                     cnf/cache/$(VERSION)/bnd-cache/org.osgi.namespace.service/org.osgi.namespace.service-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar                     cnf/cache/$(VERSION)/bnd-cache/org.osgi.resource/org.osgi.resource-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar                     cnf/cache/$(VERSION)/bnd-cache/org.osgi.service.component/org.osgi.service.component-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar                     cnf/cache/$(VERSION)/bnd-cache/org.osgi.service.component.annotations/org.osgi.service.component.annotations-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar                     cnf/cache/$(VERSION)/bnd-cache/org.osgi.service.configurator/org.osgi.service.configurator-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar                     cnf/cache/$(VERSION)/bnd-cache/org.osgi.service.coordinator/org.osgi.service.coordinator-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar                     cnf/cache/$(VERSION)/bnd-cache/org.osgi.service.log/org.osgi.service.log-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar                     cnf/cache/$(VERSION)/bnd-cache/org.osgi.service.repository/org.osgi.service.repository-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar                     cnf/cache/$(VERSION)/bnd-cache/org.osgi.service.resolver/org.osgi.service.resolver-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar                     cnf/cache/$(VERSION)/bnd-cache/org.osgi.service.serviceloader/org.osgi.service.serviceloader-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar                     cnf/cache/$(VERSION)/bnd-cache/org.osgi.service.subsystem/org.osgi.service.subsystem-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar                     cnf/cache/$(VERSION)/bnd-cache/org.osgi.util.function/org.osgi.util.function-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar                     cnf/cache/$(VERSION)/bnd-cache/org.osgi.util.promise/org.osgi.util.promise-latest.jar
	ln -s /usr/share/java/osgi.cmpn.jar                     cnf/cache/$(VERSION)/bnd-cache/osgi.cmpn/osgi.cmpn-latest.jar
	ln -s /usr/share/java/osgi.core.jar                     cnf/cache/$(VERSION)/bnd-cache/osgi.core/osgi.core-latest.jar
	ln -s /usr/share/java/slf4j-api.jar                     cnf/cache/$(VERSION)/bnd-cache/slf4j.api/slf4j.api-latest.jar
	ln -s /usr/share/java/slf4j-simple.jar                  cnf/cache/$(VERSION)/bnd-cache/slf4j.simple/slf4j.simple-latest.jar
	ln -s /usr/share/java/snakeyaml.jar                     cnf/cache/$(VERSION)/bnd-cache/org.yaml.snakeyaml/org.yaml.snakeyaml-latest.jar
	ln -s /usr/share/java/xz.jar                            cnf/cache/$(VERSION)/bnd-cache/org.tukaani.xz/org.tukaani.xz-latest.jar
	$(RM) -r biz.aQute.repository/src/aQute/bnd/jpm # This package depends on non-free code

	# Use SOURCE_DATE_EPOCH for the timestamp
	sed -i -e "s,Timestamp:.*,Timestamp: $(SOURCE_DATE_EPOCH),g" biz.aQute.bnd.embedded-repo/bnd/embedded-repo.bnd
	dh_auto_build -- :biz.aQute.bnd:assemble \
	                 :biz.aQute.launcher:assemble \
	                 :biz.aQute.junit:assemble \
	                 :biz.aQute.bnd.gradle:assemble \
	                 -x :biz.aQute.tester:compileJava \
	                 -x :biz.aQute.tester.junit-platform:compileJava \
	                 -x :demo:compileJava -x :demo:jar -x :cnf:jar

	pod2man -c 'BND for Debian GNU/Linux' \
	  -r $(PACKAGE)-$(DEB_VERSION_UPSTREAM) \
	  debian/bnd.pod > debian/bnd.1

override_dh_auto_install:
	dh_auto_install
	dh_install -p$(PACKAGE) debian/bnd.sh /usr/bin/
	mv debian/$(PACKAGE)/usr/bin/bnd.sh debian/$(PACKAGE)/usr/bin/bnd

override_dh_auto_clean:
	dh_auto_clean
	-find . -type l -name '*.jar' -delete
