=== debian/watch ===
version=4
opts="repack,compression=xz" \
https://github.com/bndtools/bnd/tags .*/refs/tags/([\d.]+).tar.gz
